Elive

  • Status Closed
  • Percent Complete
    20%
  • Task Type Bug Report
  • Category Installed Mode
  • Assigned To
    Thanatermesis
  • Operating System All
  • Severity Low
  • Priority Very Low
  • Reported Version 1.x Gem+ (beta's)
  • Due in Version 3.0
  • Due Date Undecided
  • Votes
  • Private
Attached to Project: Elive
Opened by Dragan Stojkovic - 2010-01-13
Last edited by Thanatermesis - 2010-01-24

FS#527 - ATI driver won't work with ecomorph

I`m running 1.9.56 development Version on my Laptop with a X1300 Mobility radeon.
Compiz works under Ubuntu 9.10 out of the box. I use there the OSS ati driver.

On Elive there seems to be a bug with the included ati driver. I’ve tried several Notebooks with ATI graphic cards. None of them worked.
On every machine I’ve got the following message:

$> ecomorph 
ecomorph (core) - Fatal: No GLXFBConfig for default depth, this isn't going to work.
ecomorph (core) - Error: Failed to manage screen: 0
ecomorph (core) - Fatal: No manageable screens found on display :0.0

a compiz-check shows, that everything should be ok:

$> compiz-check 

Gathering information about your system...

 Distribution:          Debian GNU/Linux (5.0.3)
 Desktop environment:   Unknown
 Graphics chip:         ATI Technologies Inc M52 [Mobility Radeon X1300]
 Driver in use:         radeon
 Rendering method:      AIGLX

Checking if it's possible to run Compiz on your system...

 Checking for texture_from_pixmap...               [ OK ]
 Checking for non power of two support...          [ OK ]
 Checking for composite extension...               [ OK ]
 Checking for FBConfig...                          [ OK ]
 Checking for hardware/setup problems...           [ OK ]

To manualy compile the driver won’t work. It aborts.

regards
Dragan

Closed by  Thanatermesis
24.01.2010 22:35
Reason for closing:  Won't implement
Additional comments about closing:  

not for now

Admin
Thanatermesis commented on 20.01.2010 01:47

Do you have 3d-acceleration correctly working ? see for example with a 3d-game, glxgears, and with the torus-trooper game

Admin
Thanatermesis commented on 20.01.2010 01:47

ehm.. are you trying to run ecomorph manually ? Instead: try to just enable the ecomorph module from the e17 menus

Dragan Stojkovic commented on 20.01.2010 11:03

Hi, Thanatermesis.
I've tried to start on both ways.(Shell and over the Module)

It seems that the 3d-acceleration is not working. I think the "ati" driver compiled in the version 1.9.56 doesn't support ATI based graphic adaptor newer generation. (ATI Mobility X1300, Mobility FireGL 5250 and Mobility M7 LW (Radeon Mobility 7500).

Admin
Thanatermesis commented on 20.01.2010 13:27

Try radeon instead, you can try it on live mode, if you still not having 3d then you need to use fglrx but unfortunately is not included on these versions

Dragan Stojkovic commented on 20.01.2010 21:35

I've tried the radeon driver, but with no result. I've also tried to compile the fglrx driver, but it didn't work. There seems to be some restrictions due to compile some kernel modules.
Weird is, that the OSS "ati" driver works out of the box with the Ubuntu 9.10 LiveCD.

Admin
Thanatermesis commented on 22.01.2010 01:47

I think that the main problem is the version of xorg with fglrx, you can build the kernel module (installing kernel headers), but it wont work, there's not an easy solution, just wait the relase of the stable version in order to use an older version of the fglr driver (an kernel) and/or wait the next development version after the stable one

Dragan Stojkovic commented on 22.01.2010 11:28

OK, its not e big deal.
Thanks for the support

Date User Effort (H:M)

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing